Bhp085:-TshiloDikotla - Bug #5560
TD ODK archive Project
01/12/2021 15:13 - Gosego Masasa

Status: Closed Start date: 01/12/2021
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

DMC is to create a functionality to allow archiving of the study documents through ODK. The agreement is detailed below;

The documents are to be grouped as per the following files;

1.consents-*encrypted*

2.0mang enctypted

5.Maternallabs

6dnfantlabs

Z-Note to file

8.Specimen-consents*encrypted”

The agreement was for DMC to allow the team to upload through participant DASHBOARD then allow the team to view the images at the

LIST BOARD. as IT IS NOW we are waiting for DMC to avail the above forms on the EDC at the PARTICIPANT dashboard and also
finish the LISTBOARD

Related issues:
Copied to Bhp085:-TshiloDikotla - Bug # 5724: TD ODK Archive Project Closed 01/12/2021

History

#1 - 15/12/2021 12:29 - Samuel Wilson Kgole
- Status changed from New to Feedback

skype chat on 15th dec 2021

ODK feedback on participant dashboard: 572-4 and 555-6-10

1; maternal and infants clinician notes cannot be opened: "403 forbidden error"
2; Copies of Omang has no add option file but we can save as if something has been uploaded. (add validation to block saving empty uploads)
3; The rest of other ODK ARCHIVE are uploading well.

On admin dashboard
We managed to access and view Lab results for both mother and child.

On EDC ODK Admin dashboard

We managed to access and view the following:

1; Consent Copies

2; Notes to file

3; Omang Copies (blank upload for 572-4). Addressed above.
4; Specimen Consent Copies

Suggestion on EDC ODK Admin: why clinician notes and lab results are not amongst the list of other ODK images on ODK Admin dashboard?
#2 - 19/01/2022 15:50 - Gosego Masasa

All other issues are resolved.

Agreement from our zoom call dated 19th Jan 2022;

1.Ame to discuss with IT to see what their SOP says about the allowable size of the downloaded files, if it's possible not to put a limit on size of uploaded
files.

2.Ame to remove one admin dashboard and leave just 1.

3.Ame to give update on how far the IT is with resolving the ODK ISSUE; creating space on the ODK server to allow downloading of images to the EDC
server. Once that is resolved the clinic team to resume the UAT and see if they are able to view the ODK sent images on the EDC.

4.Ame to remove PID list on the ODK and only allow PID selection by "SEARCH"

5.Ame to Update the Note to file form on the ODK for the infant and maternal to use the same form just like as she did for clinician notes and lab results.

#3 - 28/01/2022 11:38 - Samuel Wilson Kgole
- Status changed from Feedback to Closed

CLOSED AND OPEN A NEW TICKET TO AVOID LONG EDITS ON THE SAME TICKET. COPIED LAST FEEDBACK TO DMC.

#4 - 28/01/2022 12:09 - Samuel Wilson Kgole
- Copied to Bug #5724: TD ODK Archive Project added
